h1 {
  margin: 0
}

.cardRow{
  padding: 5px;
}

.btnRow{
  padding: 5px;
}

.app {
  display: relative;
  height: 100vh;
  background: #eee;
}

.spacer > * + * { margin-top: .75rem }

.node {
  border: 1px solid blue;
  max-width: max-content;
  padding: .25em;
  margin: .5em .25em;
}

.node--selected {
  background-color: lightblue;
}

.node-form label {
  text-transform: capitalize;
}

.tree-children {
  display: flex;
}

.tree-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.d3-tree {
  border-radius: 10px;
  box-shadow: 0 0 15px lightgrey;
  background: white;
}

.node-link {
  fill: none;
  stroke: #555;
  /* stroke-opacity: 0.4; */
  stroke-width: 5.5;
}

.node-card {
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 100%;
  border-radius: 5px;
  border: 1px solid lightgrey;
  padding: .75rem;
  background: white;
  /* box-shadow: 0 0 15px lightergrey; */
}

.node-card button:first-of-type {
  margin-top: auto
}

.cardContainer {
  padding: 1%;
  border: 1px solid black;
  border-radius: 10px;
  margin: 0 auto;
  width: 50%;
  background-color: #202329;
  display: flexbox;
}

.cardContainer h3{
  font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
  overflow-wrap: break-word;
  margin: 0;
  padding: 0;
  margin-bottom: 0.5%;
}

.cardContainer h2 {
  font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
  overflow-wrap: break-word;
}

.cardContainer p {
  overflow-wrap: break-word;
  margin: 0.3%;
}

.cardContainer button {
  background-color: #6898a6;
  border: 1px solid black;
  padding: 1vh;
  border-radius: 10px;
  color: #b8c6de;
  transition: 200ms ease;
}

.cardContainer button:hover {
  background-color: #8ccbde;
  color: #202329;
  cursor: pointer;
}

.cardCreationWrapper {
  padding: 1%;
  border: 1px solid black;
  border-radius: 10px;
  margin: 0 auto;
  width: 50%;
  background-color: #202329;
}

.cardCreationWrapper input{
  font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
  background-color: #455c85;
  border: 1px solid black;
  border-radius: 5px;
  color: #b8c6de;
  padding: 0.5vh;
  margin-top: 1%;
  margin-bottom: 1%;
  display: block;
}

.cardCreationWrapper textarea {
  font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
  background-color: #455c85;
  color: #b8c6de;
  border: 1px solid black;
  border-radius: 5px;
  width: 100%;
  height: 20vh;
  max-width: 100%;
  min-width: 100%;
  max-height: 20vh;
  min-height: 20vh;
}

.cardCreationWrapper select {
  border: 1px solid black;
  border-radius: 5px;
  padding: 0.5vh;
  background-color: #455c85;
  color: #b8c6de;
  transition: 200ms ease;
}

.cardCreationWrapper select:hover{
  cursor: pointer;
}

.cardCreationWrapper button {
  background-color: #6898a6;
  border: 1px solid black;
  padding: 1vh;
  border-radius: 10px;
  color: #b8c6de;
  transition: 200ms ease;
}

.cardCreationWrapper button:hover {
  background-color: #8ccbde;
  color: #202329;
  cursor: pointer;
}